org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTREDIRECTPAGENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTREDIRECTPAGENode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTREDIRECTPAGENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTREDIRECTPAGENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTREDIRECTPAGENode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTREDIRECTPAGENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTREDIRECTPAGENode` | `bindKeepsession(IDynamicContentBindingObject value)`
    `CLIENTREDIRECTPAGENode` | `bindPage(IDynamicContentBindingObject value)`
    `CLIENTREDIRECTPAGENode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTREDIRECTPAGENode` | `bindTrigger(IDynamicContentBindingObject value)`
    `CLIENTREDIRECTPAGENode` | `setAttributemacro(java.lang.String value)`
    `CLIENTREDIRECTPAGENode` | `setComment(java.lang.String value)`
    `CLIENTREDIRECTPAGENode` | `setConfiginfo(java.lang.String value)`
    `CLIENTREDIRECTPAGENode` | `setId(java.lang.String value)`
    `CLIENTREDIRECTPAGENode` | `setKeepsession(boolean value)`
    `CLIENTREDIRECTPAGENode` | `setKeepsession(java.lang.String value)`
    `CLIENTREDIRECTPAGENode` | `setPage(java.lang.String value)`
    `CLIENTREDIRECTPAGENode` | `setReference(java.lang.String value)`
    `CLIENTREDIRECTPAGENode` | `setRendered(boolean value)`
    `CLIENTREDIRECTPAGENode` | `setRendered(java.lang.String value)`
    `CLIENTREDIRECTPAGENode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTREDIRECTPAGENode

          public CLIENTREDIRECTPAGENode()

  - ### Method Detail

    - #### setId

          public CLIENTREDIRECTPAGENode setId(java.lang.String value)

    - #### setAttributemacro

          public CLIENTREDIRECTPAGENode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTREDIRECTPAGENode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTREDIRECTPAGENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTREDIRECTPAGENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTREDIRECTPAGENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setKeepsession

          public CLIENTREDIRECTPAGENode setKeepsession(java.lang.String value)

    - #### bindKeepsession

          public CLIENTREDIRECTPAGENode bindKeepsession(IDynamicContentBindingObject value)

    - #### setKeepsession

          public CLIENTREDIRECTPAGENode setKeepsession(boolean value)

    - #### setPage

          public CLIENTREDIRECTPAGENode setPage(java.lang.String value)

    - #### bindPage

          public CLIENTREDIRECTPAGENode bindPage(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTREDIRECTPAGENode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTREDIRECTPAGENode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTREDIRECTPAGENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTREDIRECTPAGENode setRendered(boolean value)

    - #### setTrigger

          public CLIENTREDIRECTPAGENode setTrigger(java.lang.String value)

    - #### bindTrigger

          public CLIENTREDIRECTPAGENode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.